- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
Efreet_Icon Struct Reference
Efreet » Efreet_Icon: The FDO Icon Theme

Efreet_Icon. More...

## Data Fields
const char * | path
| Full path to the icon.
const char * | name
| Translated UTF8 string that can be used for the icon name.
struct {
int x0
| x0 position
int y0
| y0 position
int x1
| x1 position
int y1
| y1 position
} | embedded_text_rectangle
| Rectangle where text can be displayed on the icon.
Eina_List * | attach_points
| List of points to be used as anchor points for emblems/overlays.
unsigned int | ref_count
| References to this icon.
unsigned char | has_embedded_text_rectangle:1
| Has the embedded rectangle set.

## Detailed Description

Efreet_Icon.

Contains all the information about a given icon